Hyphen Engine
v1.0.0Hyphen Engine API explorer
Server
https://api.hyphen.ai
Authorization
OAuth2
GET
/api/auth/login
Get a login
Get a user login for the given client id and scope. The user login will generate a code challenge and redirect to the auth provider login page for the user to complete the login. The Login will also set the callback url to the token exchange endpoint.
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| scope | string | query | The scopes of the token to be generated. You can request multiple scopes by separating them with a space. |
| state | string | query | The state to be passed back to client. |
| prompt | string | query | The oauth2 prompt. |
Responses
302
Successfully got a login
curl -X GET "https://api.hyphen.ai/api/auth/login?scope={scope}&state={state}&prompt={prompt}"
const response = await fetch('https://api.hyphen.ai/api/auth/login?scope={scope}&state={state}&prompt={prompt}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/auth/login',
params={
'scope': '{scope}',
'state': '{state}',
'prompt': '{prompt}'
}
)
data = response.json()
Test Request
Parameters
scope
query
state
query
prompt
query
GET
/api/auth/token-exchange
Get a token
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| code | string | query | The code from the auth provider login. |
| state * | string | query | The state from the auth provider login. |
Responses
302
Successfully got a token
403
Unable to get a token
curl -X GET "https://api.hyphen.ai/api/auth/token-exchange?code={code}&state={state}"
const response = await fetch('https://api.hyphen.ai/api/auth/token-exchange?code={code}&state={state}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/auth/token-exchange',
params={
'code': '{code}',
'state': '{state}'
}
)
data = response.json()
Test Request
Parameters
code
query
state
query
*
POST
/api/auth/jwt-refresh
Create a token refresh
Create a token refresh. This will use a refresh token from the cookies set in the token exchange and return a new token with a new expiration.
Responses
204
Successfully created a token refresh.
403
Unable to create a token refresh
curl -X POST "https://api.hyphen.ai/api/auth/jwt-refresh"
const response = await fetch('https://api.hyphen.ai/api/auth/jwt-refresh', {
method: 'POST'
});
const data = await response.json();
import requests
response = requests.post('https://api.hyphen.ai/api/auth/jwt-refresh')
data = response.json()
Test Request
GET
/api/auth/logout
Get a logout
Get a user logout. This will clear the cookies and redirect to the auth provider logout page.
Responses
302
Successfully got a logout
curl -X GET "https://api.hyphen.ai/api/auth/logout"
const response = await fetch('https://api.hyphen.ai/api/auth/logout', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/auth/logout')
data = response.json()
Test Request
POST
/api/auth/m2m
Create a m2m token
Create a m2m token using the client id and client secret.
Request Body application/json
clientId*
string
The client Id.
clientSecret*
string
The client secret.
{
"clientId": "string",
"clientSecret": "string"
}
Responses
201
Successfully created an m2m token
access_token
string
The access token to use for the bearer token.
id_token
string
The Id token.
token_type
string
The token type.
access_token_expires_in
number
The milliseconds until the access token expires.
access_token_expires_at
number
The of milliseconds since EPOC.
{
"access_token": "string",
"id_token": "string",
"token_type": "string",
"access_token_expires_in": 0,
"access_token_expires_at": 0
}
curl -X POST "https://api.hyphen.ai/api/auth/m2m" \
-H "Content-Type: application/json" \
-d '{ "clientId": "string", "clientSecret": "string"}'
const response = await fetch('https://api.hyphen.ai/api/auth/m2m', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "clientId": "string", "clientSecret": "string"})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/auth/m2m',
headers={
'Content-Type': 'application/json'
},
json={ "clientId": "string", "clientSecret": "string"}
)
data = response.json()
Test Request
Body
Billing Accounts
GET
/api/billing-accounts/
Get a list of billing accounts
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
Responses
200
Successfully got a list of billing accounts
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"name": "string",
"email": "string",
"phone": "string",
"address": {
"streetAddress": "string",
"locality": "string",
"region": "string",
"postalCode": "string",
"country": "US"
},
"provider": "Stripe",
"providerId": "string",
"paymentMethods": [
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
],
"subscription": {
"providerId": "string",
"startDate": "string",
"status": "string",
"cycles": [
{
"id": 0,
"startDate": "string",
"endDate": "string",
"invoicePreviewAmountDue": 0
}
],
"isDelinquent": true
},
"owners": [
{
"userId": "string",
"name": "string",
"email": "string"
}
],
"invoices": [
{
"providerId": "string",
"amount": 0,
"createdDate": "string",
"subTotal": 0,
"total": 0,
"discount": 0,
"credit": 0,
"status": "Draft",
"periodEnd": "string",
"periodStart": "string",
"cycleId": 0,
"tax": 0,
"dueDate": "string"
}
]
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/billing-accounts/?pageNum={pageNum}&pageSize={pageSize}"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/?pageNum={pageNum}&pageSize={pageSize}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/billing-accounts/',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
GET
/api/billing-accounts/{billingAccountId}/
Get the billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
Responses
200
Successfully got a billing account
id
string
The billing account Id.
name
string
The billing name.
email
string (email)
The billing email address.
phone
string
The billing phone number.
address
object
The billing address.
provider
string
The billing provider.
providerId
string
The billing provider Id.
paymentMethods
array(object)
The payment methods.
subscription
object
The billing subscription.
owners
array(object)
The billing owners.
invoices
array(object)
The billing account invoices.
{
"id": "string",
"name": "string",
"email": "string",
"phone": "string",
"address": {
"streetAddress": "string",
"locality": "string",
"region": "string",
"postalCode": "string",
"country": "US"
},
"provider": "Stripe",
"providerId": "string",
"paymentMethods": [
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
],
"subscription": {
"providerId": "string",
"startDate": "string",
"status": "string",
"cycles": [
{
"id": 0,
"startDate": "string",
"endDate": "string",
"invoicePreviewAmountDue": 0
}
],
"isDelinquent": true
},
"owners": [
{
"userId": "string",
"name": "string",
"email": "string"
}
],
"invoices": [
{
"providerId": "string",
"amount": 0,
"createdDate": "string",
"subTotal": 0,
"total": 0,
"discount": 0,
"credit": 0,
"status": "Draft",
"periodEnd": "string",
"periodStart": "string",
"cycleId": 0,
"tax": 0,
"dueDate": "string"
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/')
data = response.json()
Test Request
Parameters
billingAccountId
path
*
PATCH
/api/billing-accounts/{billingAccountId}/
Update the billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
Request Body application/json
name
string
The billing name.
email
string (email)
The billing email address.
phone
string
The billing phone number.
address
object
The billing address.
promoCodes
array(string)
The billing promo codes.
{
"name": "string",
"email": "string",
"phone": "string",
"address": {
"streetAddress": "string",
"locality": "string",
"region": "string",
"postalCode": "string",
"country": "US"
},
"promoCodes": [
"string"
]
}
Responses
200
Successfully updated a billing account
id
string
The billing account Id.
name
string
The billing name.
email
string (email)
The billing email address.
phone
string
The billing phone number.
address
object
The billing address.
provider
string
The billing provider.
providerId
string
The billing provider Id.
paymentMethods
array(object)
The payment methods.
subscription
object
The billing subscription.
owners
array(object)
The billing owners.
invoices
array(object)
The billing account invoices.
{
"id": "string",
"name": "string",
"email": "string",
"phone": "string",
"address": {
"streetAddress": "string",
"locality": "string",
"region": "string",
"postalCode": "string",
"country": "US"
},
"provider": "Stripe",
"providerId": "string",
"paymentMethods": [
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
],
"subscription": {
"providerId": "string",
"startDate": "string",
"status": "string",
"cycles": [
{
"id": 0,
"startDate": "string",
"endDate": "string",
"invoicePreviewAmountDue": 0
}
],
"isDelinquent": true
},
"owners": [
{
"userId": "string",
"name": "string",
"email": "string"
}
],
"invoices": [
{
"providerId": "string",
"amount": 0,
"createdDate": "string",
"subTotal": 0,
"total": 0,
"discount": 0,
"credit": 0,
"status": "Draft",
"periodEnd": "string",
"periodStart": "string",
"cycleId": 0,
"tax": 0,
"dueDate": "string"
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X PATCH "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/" \
-H "Content-Type: application/json" \
-d '{ "name": "string", "email": "string", "phone": "string", "address": { "streetAddress": "string", "locality": "string", "region": "string", "postalCode": "string", "country": "US" }, "promoCodes": [ "string" ]}'
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "name": "string", "email": "string", "phone": "string", "address": { "streetAddress": "string", "locality": "string", "region": "string", "postalCode": "string", "country": "US" }, "promoCodes": [ "string" ]})
});
const data = await response.json();
import requests
response = requests.patch(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/',
headers={
'Content-Type': 'application/json'
},
json={ "name": "string", "email": "string", "phone": "string", "address": { "streetAddress": "string", "locality": "string", "region": "string", "postalCode": "string", "country": "US" }, "promoCodes": [ "string" ]}
)
data = response.json()
Test Request
Parameters
billingAccountId
path
*
Body
GET
/api/billing-accounts/{billingAccountId}/usage
Get the usage for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingCycle | number | query | The billing cycle number. |
| billingAccountId * | string | path | The billing account id |
Responses
200
Successfully got a billing account usage
billingCycle
number
The billing cycle number.
totalDays
number
The total days in the billing cycle.
remainingDays
number
The remaining days in the billing cycle.
startDate
string (date-time)
The start date of the billing cycle.
endDate
string (date-time)
The end date of the billing cycle.
lastUpdated
string (date-time)
The last updated date of the usage.
organizations
array(object)
total
object
{
"billingCycle": 1,
"totalDays": 30,
"remainingDays": 15,
"startDate": "2021-01-01T00:00:00Z",
"endDate": "2021-01-31T23:59:59Z",
"lastUpdated": "2021-01-01T00:00:00Z",
"organizations": [
{
"organization": {
"id": "string",
"name": "string"
},
"lastUpdated": "2021-01-01T00:00:00Z",
"total": {
"user": {
"active": 100
},
"seat": {
"total": 100,
"open": 50
},
"env": {
"pull": 100,
"push": 100
},
"link": {
"created": 100
},
"netInfo": {
"requests": 100
},
"toggle": {
"evaluations": 100
},
"deploy": {
"seconds": 1000
},
"agent": {
"seconds": 1000
}
}
}
],
"total": {
"user": {
"active": 100
},
"seat": {
"total": 100,
"open": 50
},
"env": {
"pull": 100,
"push": 100
},
"link": {
"created": 100
},
"netInfo": {
"requests": 100
},
"toggle": {
"evaluations": 100
},
"deploy": {
"seconds": 1000
},
"agent": {
"seconds": 1000
}
}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/usage?billingCycle={billingCycle}"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/usage?billingCycle={billingCycle}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/usage',
params={
'billingCycle': '{billingCycle}'
}
)
data = response.json()
Test Request
Parameters
billingCycle
query
billingAccountId
path
*
PUT
/api/billing-accounts/{billingAccountId}/subscription/status
Update the status for a subscription
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
Request Body application/json
status*
string
The new status for the billing account subscription
{
"status": "Active"
}
Responses
204
Successfully updated billing account subscription status
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X PUT "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/subscription/status" \
-H "Content-Type: application/json" \
-d '{ "status": "Active"}'
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/subscription/status', {
method: 'PUT',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "status": "Active"})
});
const data = await response.json();
import requests
response = requests.put(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/subscription/status',
headers={
'Content-Type': 'application/json'
},
json={ "status": "Active"}
)
data = response.json()
Test Request
Parameters
billingAccountId
path
*
Body
GET
/api/billing-accounts/{billingAccountId}/invoices/{invoiceProviderId}/urls
Get urls for invoice
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
| invoiceProviderId * | string | path | The invoice provider Id. |
Responses
200
Default Response
http
null,string
URL to view the HTTP invoice
pdf
null,string
URL to download the PDF invoice
{
"http": null,
"pdf": null
}
curl -X GET "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/invoices/{invoiceProviderId}/urls"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/invoices/{invoiceProviderId}/urls', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/invoices/{invoiceProviderId}/urls')
data = response.json()
Test Request
Parameters
billingAccountId
path
*
invoiceProviderId
path
*
GET
/api/billing-accounts/{billingAccountId}/organizations/
Get the organizations for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| billingAccountId * | string | path | The billing account Id. |
Responses
200
Successfully got a list of organizations
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"name": "string",
"logoUrl": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": {
"id": "string",
"name": "string"
}
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/organizations/?pageNum={pageNum}&pageSize={pageSize}"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/organizations/?pageNum={pageNum}&pageSize={pageSize}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/organizations/',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
billingAccountId
path
*
POST
/api/billing-accounts/{billingAccountId}/owners/
Create an owner for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
Request Body application/json
email*
string (email)
The owner email address
{
"email": "string"
}
Responses
200
Successfully created an owner
userId
string
The user Id.
name
string
The owner full name.
email
string (email)
The owner email address
{
"userId": "string",
"name": "string",
"email": "string"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/" \
-H "Content-Type: application/json" \
-d '{ "email": "string"}'
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "email": "string"})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/',
headers={
'Content-Type': 'application/json'
},
json={ "email": "string"}
)
data = response.json()
Test Request
Parameters
billingAccountId
path
*
Body
DELETE
/api/billing-accounts/{billingAccountId}/owners/{userId}/
Delete the owner for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
| userId * | string | path | The user Id. |
Responses
204
Successfully deleted an owner
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X DELETE "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/{userId}/"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/{userId}/', {
method: 'DELETE'
});
const data = await response.json();
import requests
response = requests.delete('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/owners/{userId}/')
data = response.json()
Test Request
Parameters
billingAccountId
path
*
userId
path
*
POST
/api/billing-accounts/{billingAccountId}/payment-methods/
Create a payment method for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
Request Body application/json
confirmationToken*
string
The confirmation token for the payment method
{
"confirmationToken": "string"
}
Responses
200
Successfully created a payment method
providerId
string
The payment method provider Id.
type
string
The payment method type.
last4
string
The last four digits of credit card or bank account
cardType
string
The card type.
expiration
string
The expiration date of the card.
isDefault
boolean
The default payment method.
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/" \
-H "Content-Type: application/json" \
-d '{ "confirmationToken": "string"}'
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "confirmationToken": "string"})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/',
headers={
'Content-Type': 'application/json'
},
json={ "confirmationToken": "string"}
)
data = response.json()
Test Request
Parameters
billingAccountId
path
*
Body
DELETE
/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/
Delete the payment method for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
| providerId * | string | path | The payment method provider Id. |
Responses
204
Successfully deleted a payment method
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X DELETE "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/"
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/', {
method: 'DELETE'
});
const data = await response.json();
import requests
response = requests.delete('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/')
data = response.json()
Test Request
Parameters
billingAccountId
path
*
providerId
path
*
PATCH
/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/
Update the payment method for a billing account
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingAccountId * | string | path | The billing account Id. |
| providerId * | string | path | The payment method provider Id. |
Request Body application/json
isDefault*
boolean
The default payment method.
{
"isDefault": true
}
Responses
200
Successfully updated a payment method
providerId
string
The payment method provider Id.
type
string
The payment method type.
last4
string
The last four digits of credit card or bank account
cardType
string
The card type.
expiration
string
The expiration date of the card.
isDefault
boolean
The default payment method.
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X PATCH "https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/" \
-H "Content-Type: application/json" \
-d '{ "isDefault": true}'
const response = await fetch('https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "isDefault": true})
});
const data = await response.json();
import requests
response = requests.patch(
'https://api.hyphen.ai/api/billing-accounts/{billingAccountId}/payment-methods/{providerId}/',
headers={
'Content-Type': 'application/json'
},
json={ "isDefault": true}
)
data = response.json()
Test Request
Parameters
billingAccountId
path
*
providerId
path
*
Body
GET
/api/organizations/{organizationId}/billing-account/
Get the billing account for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully got the billing account for an organization
id
string
The billing account Id.
name
string
The billing name.
email
string (email)
The billing email address.
phone
string
The billing phone number.
address
object
The billing address.
provider
string
The billing provider.
providerId
string
The billing provider Id.
paymentMethods
array(object)
The payment methods.
subscription
object
The billing subscription.
owners
array(object)
The billing owners.
invoices
array(object)
The billing account invoices.
{
"id": "string",
"name": "string",
"email": "string",
"phone": "string",
"address": {
"streetAddress": "string",
"locality": "string",
"region": "string",
"postalCode": "string",
"country": "US"
},
"provider": "Stripe",
"providerId": "string",
"paymentMethods": [
{
"providerId": "string",
"type": "Card",
"last4": "string",
"cardType": "Visa",
"expiration": "string",
"isDefault": true
}
],
"subscription": {
"providerId": "string",
"startDate": "string",
"status": "string",
"cycles": [
{
"id": 0,
"startDate": "string",
"endDate": "string",
"invoicePreviewAmountDue": 0
}
],
"isDelinquent": true
},
"owners": [
{
"userId": "string",
"name": "string",
"email": "string"
}
],
"invoices": [
{
"providerId": "string",
"amount": 0,
"createdDate": "string",
"subTotal": 0,
"total": 0,
"discount": 0,
"credit": 0,
"status": "Draft",
"periodEnd": "string",
"periodStart": "string",
"cycleId": 0,
"tax": 0,
"dueDate": "string"
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/')
data = response.json()
Test Request
Parameters
organizationId
path
*
GET
/api/organizations/{organizationId}/billing-account/invoices/{invoiceProviderId}/urls
Get urls for invoice
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| invoiceProviderId * | string | path | The invoice provider Id. |
Responses
200
Default Response
http
null,string
URL to view the HTTP invoice
pdf
null,string
URL to download the PDF invoice
{
"http": null,
"pdf": null
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/invoices/{invoiceProviderId}/urls"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/invoices/{invoiceProviderId}/urls', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/billing-account/invoices/{invoiceProviderId}/urls')
data = response.json()
Test Request
Parameters
organizationId
path
*
invoiceProviderId
path
*
Package Download
GET
/api/downloads/{packageName}/{version}
Get the download URL for the specified package and version
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| os | string | query | |
| packageName * | string | path | |
| version * | string | path |
Responses
302
Redirects to the download URL
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
(value)
string
Internal Server Error
"Error: Internal Server Error"
curl -X GET "https://api.hyphen.ai/api/downloads/{packageName}/{version}?os={os}"
const response = await fetch('https://api.hyphen.ai/api/downloads/{packageName}/{version}?os={os}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/downloads/{packageName}/{version}',
params={
'os': '{os}'
}
)
data = response.json()
Test Request
Parameters
os
query
packageName
path
*
version
path
*
GET
/api/downloads/{packageName}/versions
Get a list of versions for the specified package.
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| latest | string | query | |
| packageName * | string | path |
Responses
200
Successfully got a list of versions
data
array(object)
{
"data": [
{
"packageName": "something",
"version": "1.0.0",
"latest": true,
"published": "2024-05-30"
},
{
"packageName": "something",
"version": "0.9.0",
"latest": false,
"published": "2024-05-29"
}
]
}
404
Package not found
(value)
string
Package not found
"Package not found"
500
Internal Server Error
(value)
string
Internal Server Error
"Error: Internal Server Error"
curl -X GET "https://api.hyphen.ai/api/downloads/{packageName}/versions?latest={latest}"
const response = await fetch('https://api.hyphen.ai/api/downloads/{packageName}/versions?latest={latest}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/downloads/{packageName}/versions',
params={
'latest': '{latest}'
}
)
data = response.json()
Test Request
Parameters
latest
query
packageName
path
*
Events
POST
/api/events/{organizationId}/search
Get a list of events for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Request Body application/json
types
array(string)
The type of events to filter by.
references
array(object)
The references for the event.
referenceOperation
string
Specifies whether to match all (AND) or any (OR) of the references.
startDate
string (date-time)
The start date for the events.
endDate
string (date-time)
The end date for the events.
pageSize
number
The page size.
pageCursor
string
The page cursor.
{
"types": [
"DATABASE"
],
"references": [
{
"id": "string",
"type": "string",
"view": {
"key": "value"
}
}
],
"referenceOperation": "AND",
"startDate": "string",
"endDate": "string",
"pageSize": 0,
"pageCursor": "evnt_60b3b3f4c4b3f00001f3b3f4"
}
Responses
200
Successfully got a list of events for an organization
data
array(object)
pageSize
number
The page size.
nextPageCursor
string
The next page cursor.
{
"data": [
{
"id": "evnt_60b3b3f4c4b3f00001f3b3f4",
"type": "ORGANIZATION.CREATE",
"timestamp": "2021-09-14T15:00:00Z",
"organization": {
"id": "org_66bf99b72a0043f841769880",
"name": "My Org"
},
"requestId": "12345",
"references": [
{
"id": "usr_60b3b3f4c4b3f00001f3b3f4",
"type": "User",
"view": {
"name": "John Doe",
"email": "[email protected]"
}
}
],
"actor": {
"id": "ca1c9bbd-9dd4-4119-81df-6a8ceea5dea0",
"name": "John Doe"
},
"user": {
"id": "mem_66bf99b72a0043f841769880",
"name": "John Doe"
},
"data": {
"id": "org_66bf99b72a0043f841769880",
"name": "My Org"
}
}
],
"pageSize": 0,
"nextPageCursor": "evnt_60b3b3f4c4b3f00001f3b3f4"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/events/{organizationId}/search" \
-H "Content-Type: application/json" \
-d '{ "types": [ "DATABASE" ], "references": [ { "id": "string", "type": "string", "view": { "key": "value" } } ], "referenceOperation": "AND", "startDate": "string", "endDate": "string", "pageSize": 0, "pageCursor": "evnt_60b3b3f4c4b3f00001f3b3f4"}'
const response = await fetch('https://api.hyphen.ai/api/events/{organizationId}/search', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "types": [ "DATABASE" ], "references": [ { "id": "string", "type": "string", "view": { "key": "value" } } ], "referenceOperation": "AND", "startDate": "string", "endDate": "string", "pageSize": 0, "pageCursor": "evnt_60b3b3f4c4b3f00001f3b3f4"})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/events/{organizationId}/search',
headers={
'Content-Type': 'application/json'
},
json={ "types": [ "DATABASE" ], "references": [ { "id": "string", "type": "string", "view": { "key": "value" } } ], "referenceOperation": "AND", "startDate": "string", "endDate": "string", "pageSize": 0, "pageCursor": "evnt_60b3b3f4c4b3f00001f3b3f4"}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
Body
Integrations
GET
/api/integrations/
Get a list of integrations
Responses
200
Successfully got a list of available integrations
data
array(object)
{
"data": [
{
"type": "hyphenCloud",
"name": "string",
"description": "string",
"image": "string",
"backgroundImage": "string",
"provides": [
{
"connectionType": "DistributionList",
"for": [
"Organization"
]
}
]
}
]
}
curl -X GET "https://api.hyphen.ai/api/integrations/"
const response = await fetch('https://api.hyphen.ai/api/integrations/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/integrations/')
data = response.json()
Test Request
Users
GET
/api/me/
Get the current user information
Responses
200
Successfully got the current user information
isImpersonating
boolean
isHyphenInternal
boolean
decodedIdToken
object
accessTokenExpiresIn
number
accessTokenExpiresAt
number
decodedToken
object
memberships
array(object)
{
"isImpersonating": true,
"isHyphenInternal": true,
"decodedIdToken": {
"email_verified": true,
"name": "string",
"preferred_username": "string",
"given_name": "string",
"family_name": "string",
"email": "string"
},
"accessTokenExpiresIn": 0,
"accessTokenExpiresAt": 0,
"decodedToken": {
"exp": 0,
"iat": 0,
"iss": "string",
"aud": "string",
"sub": "string",
"scope": "string",
"email_verified": true,
"name": "string",
"preferred_username": "string",
"given_name": "string",
"family_name": "string",
"email": "string"
},
"memberships": [
{
"id": "string",
"firstName": "string",
"lastName": "string",
"email": "string",
"nickname": "string",
"connectedAccounts": [
{
"identifier": "string",
"type": "idp",
"email": "string",
"profileUrl": "string"
}
],
"organization": {
"id": "string",
"name": "string",
"isOrganizationAdmin": true
},
"favorites": [
{
"key": "value"
}
],
"teams": [
{
"id": "string",
"name": "string"
}
],
"resources": [
{}
],
"organizationRoles": [
"OrganizationAdmin"
]
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/me/"
const response = await fetch('https://api.hyphen.ai/api/me/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/me/')
data = response.json()
Test Request
Organizations
GET
/api/organizations/
Get a list of organizations
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| name | string | query | Filter by organization name starts with (case insensitive) |
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
Responses
200
Successfully got a list of organizations
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"name": "string",
"logoUrl": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": {
"id": "string",
"name": "string"
}
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/?name={name}&pageNum={pageNum}&pageSize={pageSize}"
const response = await fetch('https://api.hyphen.ai/api/organizations/?name={name}&pageNum={pageNum}&pageSize={pageSize}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/',
params={
'name': '{name}',
'pageNum': '{pageNum}',
'pageSize': '{pageSize}'
}
)
data = response.json()
Test Request
Parameters
name
query
pageNum
query
pageSize
query
POST
/api/organizations/
Create an organization
Request Body application/json
name*
string
The name of the organization.
defaultEnvironments
array(object)
billingAccount*
oneOf
createDefaultProject
boolean
Flag to create a default project when no project is specified.
{
"name": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": null,
"createDefaultProject": true
}
Responses
201
Successfully created an organization
id
string
The organization Id.
name
string
The name of the organization.
logoUrl
string
The URL of the organization logo.
defaultEnvironments
array(object)
billingAccount
object
{
"id": "string",
"name": "string",
"logoUrl": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": {
"id": "string",
"name": "string"
}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/" \
-H "Content-Type: application/json" \
-d '{ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ], "billingAccount": null, "createDefaultProject": true}'
const response = await fetch('https://api.hyphen.ai/api/organizations/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ], "billingAccount": null, "createDefaultProject": true})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/organizations/',
headers={
'Content-Type': 'application/json'
},
json={ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ], "billingAccount": null, "createDefaultProject": true}
)
data = response.json()
Test Request
Body
GET
/api/organizations/{organizationId}/
Get an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully got an organization
id
string
The organization Id.
name
string
The name of the organization.
logoUrl
string
The URL of the organization logo.
defaultEnvironments
array(object)
billingAccount
object
{
"id": "string",
"name": "string",
"logoUrl": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": {
"id": "string",
"name": "string"
}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/')
data = response.json()
Test Request
Parameters
organizationId
path
*
PATCH
/api/organizations/{organizationId}/
Update an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Request Body application/json
name
string
The name of the organization.
defaultEnvironments
array(object)
{
"name": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
]
}
Responses
200
Successfully updated an organization
id
string
The organization Id.
name
string
The name of the organization.
logoUrl
string
The URL of the organization logo.
defaultEnvironments
array(object)
billingAccount
object
{
"id": "string",
"name": "string",
"logoUrl": "string",
"defaultEnvironments": [
{
"name": "string",
"alternateId": "string",
"color": "string",
"type": "development"
}
],
"billingAccount": {
"id": "string",
"name": "string"
}
}
curl -X PATCH "https://api.hyphen.ai/api/organizations/{organizationId}/" \
-H "Content-Type: application/json" \
-d '{ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ]}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ]})
});
const data = await response.json();
import requests
response = requests.patch(
'https://api.hyphen.ai/api/organizations/{organizationId}/',
headers={
'Content-Type': 'application/json'
},
json={ "name": "string", "defaultEnvironments": [ { "name": "string", "alternateId": "string", "color": "string", "type": "development" } ]}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
Body
PUT
/api/organizations/{organizationId}/logo
Update the logo for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Request Body multipart/form-data
logo*
string (binary)
{
"logo": "string"
}
Responses
200
Successfully updated the logo for an organization
logoUrl
string
The URL of the organization logo
{
"logoUrl": "string"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X PUT "https://api.hyphen.ai/api/organizations/{organizationId}/logo" \
-H "Content-Type: multipart/form-data" \
-d '{ "logo": "string"}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/logo', {
method: 'PUT',
headers: {
'Content-Type': 'multipart/form-data'
},
body: JSON.stringify({ "logo": "string"})
});
const data = await response.json();
import requests
response = requests.put(
'https://api.hyphen.ai/api/organizations/{organizationId}/logo',
headers={
'Content-Type': 'multipart/form-data'
},
json={ "logo": "string"}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
Body
GET
/api/organizations/{organizationId}/usage
Get an organization usage
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| billingCycle | number | query | The billing cycle number. |
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully got the usage for an organization
billingCycle
number
The billing cycle number.
totalDays
number
The total days in the billing cycle.
remainingDays
number
The remaining days in the billing cycle.
startDate
string (date-time)
The start date of the billing cycle.
endDate
string (date-time)
The end date of the billing cycle.
lastUpdated
string (date-time)
The last updated date of the usage.
total
object
organization
object
{
"billingCycle": 1,
"totalDays": 30,
"remainingDays": 15,
"startDate": "2021-01-01T00:00:00Z",
"endDate": "2021-01-31T23:59:59Z",
"lastUpdated": "2021-01-01T00:00:00Z",
"total": {
"user": {
"active": 100
},
"seat": {
"total": 100,
"open": 10
},
"env": {
"pull": 100,
"push": 100
},
"link": {
"created": 100
},
"netInfo": {
"requests": 100
},
"toggle": {
"evaluations": 100
},
"deploy": {
"seconds": 7200
},
"agent": {
"seconds": 7200
}
},
"organization": {
"id": "string",
"name": "string"
}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/usage?billingCycle={billingCycle}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/usage?billingCycle={billingCycle}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/usage',
params={
'billingCycle': '{billingCycle}'
}
)
data = response.json()
Test Request
Parameters
billingCycle
query
organizationId
path
*
GET
/api/organizations/{organizationId}/kubernetes/clusters
Get Kubernetes clusters for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully got a list of Kubernetes clusters for an organization
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"alternateId": "string",
"name": "string",
"taskQueue": "string",
"state": "unknown",
"cloudProvider": "googleCloud",
"source": "horizon",
"kubernetes": {
"clusterUid": "string",
"identitySource": "kube-system-namespace-uid"
},
"temporal": {
"namespace": "string",
"address": "string",
"serviceAccountId": "string",
"serviceAccountName": "string",
"apiKeyId": "string",
"apiKeyExpiresAt": "string"
},
"lastSeenAt": "string",
"meta": {
"createdAt": "2024-07-08T15:58:34.219+00:00",
"createdBy": "string",
"modifiedAt": "2024-07-08T15:58:34.219+00:00",
"modifiedBy": "string",
"deletedAt": "2024-07-08T15:58:34.219+00:00",
"deletedBy": "string"
}
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters?pageNum={pageNum}&pageSize={pageSize}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters?pageNum={pageNum}&pageSize={pageSize}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
organizationId
path
*
GET
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}
Get a Kubernetes cluster for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
Responses
200
Successfully got a Kubernetes cluster for an organization
id
string
organization
object
alternateId
string
name
string
taskQueue
string
state
string
cloudProvider
string
source
string
kubernetes
object
temporal
object
lastSeenAt
string (date-time)
meta
object
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"alternateId": "string",
"name": "string",
"taskQueue": "string",
"state": "unknown",
"cloudProvider": "googleCloud",
"source": "horizon",
"kubernetes": {
"clusterUid": "string",
"identitySource": "kube-system-namespace-uid"
},
"temporal": {
"namespace": "string",
"address": "string",
"serviceAccountId": "string",
"serviceAccountName": "string",
"apiKeyId": "string",
"apiKeyExpiresAt": "string"
},
"lastSeenAt": "string",
"meta": {
"createdAt": "2024-07-08T15:58:34.219+00:00",
"createdBy": "string",
"modifiedAt": "2024-07-08T15:58:34.219+00:00",
"modifiedBy": "string",
"deletedAt": "2024-07-08T15:58:34.219+00:00",
"deletedBy": "string"
}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}')
data = response.json()
Test Request
Parameters
organizationId
path
*
clusterId
path
*
DELETE
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}
Delete a Kubernetes cluster for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
Responses
202
Successfully started Kubernetes cluster deletion
workflowId
string
runId
string
namespace
string
workflowTaskQueue
string
clusterTaskQueue
string
alreadyDeleted
boolean
{
"workflowId": "string",
"runId": "string",
"namespace": "string",
"workflowTaskQueue": "string",
"clusterTaskQueue": "string",
"alreadyDeleted": true
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X DELETE "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}', {
method: 'DELETE'
});
const data = await response.json();
import requests
response = requests.delete('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}')
data = response.json()
Test Request
Parameters
organizationId
path
*
clusterId
path
*
GET
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory
Get Kubernetes cluster inventory snapshots for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
Responses
200
Successfully got Kubernetes cluster inventory snapshots for an organization
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"cluster": {
"id": "string",
"name": "string"
},
"collectedAt": "string",
"storedAt": "string",
"workflow": {
"workflowId": "string",
"runId": "string"
}
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory?pageNum={pageNum}&pageSize={pageSize}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory?pageNum={pageNum}&pageSize={pageSize}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
organizationId
path
*
clusterId
path
*
GET
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/{snapshotId}
Get a Kubernetes cluster inventory snapshot for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
| snapshotId * | string (ObjectId) | path | The Kubernetes inventory snapshot ID. |
Responses
200
Successfully got a Kubernetes cluster inventory snapshot for an organization
id
string
The inventory snapshot ID.
organization
object
cluster
object
collectedAt
string (date-time)
storedAt
string (date-time)
workflow
object
inventory
object
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"cluster": {
"id": "string",
"name": "string"
},
"collectedAt": "string",
"storedAt": "string",
"workflow": {
"workflowId": "string",
"runId": "string"
},
"inventory": {
"key": "value"
}
}
400
Bad Request
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Invalid request body or query parameters",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/{snapshotId}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/{snapshotId}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/{snapshotId}')
data = response.json()
Test Request
Parameters
organizationId
path
*
clusterId
path
*
snapshotId
path
*
POST
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/refresh
Refresh Kubernetes cluster inventory
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
Responses
202
Successfully started a Kubernetes inventory refresh or returned the already-running workflow
workflowId
string
runId
string
namespace
string
workflowTaskQueue
string
clusterTaskQueue
string
{
"workflowId": "string",
"runId": "string",
"namespace": "string",
"workflowTaskQueue": "string",
"clusterTaskQueue": "string"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/refresh"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/refresh', {
method: 'POST'
});
const data = await response.json();
import requests
response = requests.post('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/inventory/refresh')
data = response.json()
Test Request
Parameters
organizationId
path
*
clusterId
path
*
POST
/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/upgrade-plans
Create a Kubernetes cluster upgrade plan
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| clusterId * | string | path | The Kubernetes cluster Id. |
Responses
202
Default Response
agentTaskId
string
runId
string
workflowId
string
status
string
{
"agentTaskId": "string",
"runId": "string",
"workflowId": "string",
"status": "queued"
}
400
Bad Request
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Invalid request body or query parameters",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/upgrade-plans"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/upgrade-plans', {
method: 'POST'
});
const data = await response.json();
import requests
response = requests.post('https://api.hyphen.ai/api/organizations/{organizationId}/kubernetes/clusters/{clusterId}/upgrade-plans')
data = response.json()
Test Request
Parameters
organizationId
path
*
clusterId
path
*
GET
/api/organizations/{organizationId}/saleskit/promocodes/
Get SalesKit promo codes for the organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path |
Responses
200
Default Response
promoCodes
array(object)
{
"promoCodes": [
{
"code": "string",
"description": "string"
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/saleskit/promocodes/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/saleskit/promocodes/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/saleskit/promocodes/')
data = response.json()
Test Request
Parameters
organizationId
path
*
Access
GET
/api/organizations/{organizationId}/access/
Get a list of access for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| entityIds | array(any) | query | The entity Ids. |
| assignmentIds | array(any) | query | The assignment Ids. |
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully got a list of access for an organization
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(any)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
null
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/access/?pageNum={pageNum}&pageSize={pageSize}&entityIds={entityIds}&assignmentIds={assignmentIds}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/access/?pageNum={pageNum}&pageSize={pageSize}&entityIds={entityIds}&assignmentIds={assignmentIds}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/access/',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}',
'entityIds': '{entityIds}',
'assignmentIds': '{assignmentIds}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
entityIds
query
assignmentIds
query
organizationId
path
*
POST
/api/organizations/{organizationId}/access/
Create access for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Request Body application/json
{}
Responses
201
Successfully created access for an organization
null
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/{organizationId}/access/" \
-H "Content-Type: application/json" \
-d '{}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/access/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/organizations/{organizationId}/access/',
headers={
'Content-Type': 'application/json'
},
json={}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
Body
GET
/api/organizations/{organizationId}/access/{accessId}/
Get the access for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| accessId * | string | path | The access Id. |
Responses
200
Successfully got the access for an organization
null
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/')
data = response.json()
Test Request
Parameters
organizationId
path
*
accessId
path
*
DELETE
/api/organizations/{organizationId}/access/{accessId}/
Delete the access for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| accessId * | string | path | The access Id. |
Responses
204
Successfully deleted the access for an organization
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
403
Forbidden
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because you do not have permission to create it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X DELETE "https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/', {
method: 'DELETE'
});
const data = await response.json();
import requests
response = requests.delete('https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/')
data = response.json()
Test Request
Parameters
organizationId
path
*
accessId
path
*
PATCH
/api/organizations/{organizationId}/access/{accessId}/
Update the access for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| accessId * | string | path | The access Id. |
Request Body application/json
roles*
oneOf
The roles for the assignment.
{
"roles": null
}
Responses
200
Successfully updated the access for an organization
null
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
403
Forbidden
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because you do not have permission to create it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X PATCH "https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/" \
-H "Content-Type: application/json" \
-d '{ "roles": null}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/', {
method: 'PATCH',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "roles": null})
});
const data = await response.json();
import requests
response = requests.patch(
'https://api.hyphen.ai/api/organizations/{organizationId}/access/{accessId}/',
headers={
'Content-Type': 'application/json'
},
json={ "roles": null}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
accessId
path
*
Body
Agent Tasks
GET
/api/organizations/{organizationId}/agent-tasks/
Get a list of agentTasks for an organization
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| status | string | query | Filter by agent task status. |
| startsAfter | string (date-time) | query | Filter for tasks that will run after this date. |
| endsBefore | string (date-time) | query | Filter for tasks that will run before this date. |
| organizationId * | string | path | The organization Id. |
Responses
200
Successfully retrieved list of agent tasks
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"name": "string",
"conversation": [
{
"role": "user",
"message": "string",
"sentAt": "string"
}
],
"description": "string",
"scheduledStart": "string",
"scheduledEnd": "string",
"recurring": {
"cron": "string",
"timezone": "string",
"startAt": "string",
"endAt": "string"
},
"status": "pending",
"source": "policy",
"policyId": "string",
"organization": {
"id": "string",
"name": "string"
},
"references": [
{
"type": "Lead",
"id": "string"
}
],
"chatSessionId": "string",
"type": "Event",
"config": {}
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/?pageNum={pageNum}&pageSize={pageSize}&status={status}&startsAfter={startsAfter}&endsBefore={endsBefore}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/?pageNum={pageNum}&pageSize={pageSize}&status={status}&startsAfter={startsAfter}&endsBefore={endsBefore}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}',
'status': '{status}',
'startsAfter': '{startsAfter}',
'endsBefore': '{endsBefore}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
status
query
startsAfter
query
endsBefore
query
organizationId
path
*
POST
/api/organizations/{organizationId}/agent-tasks/
Create agent tasks
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
Request Body application/json
tasks*
array(object)
Array of agent tasks to create as a chain.
{
"tasks": [
{}
]
}
Responses
200
Successfully created agent tasks
tasks
array(object)
The agent tasks that were created.
{
"tasks": [
{
"id": "string",
"name": "string",
"conversation": [
{
"role": "user",
"message": "string",
"sentAt": "string"
}
],
"description": "string",
"scheduledStart": "string",
"scheduledEnd": "string",
"recurring": {
"cron": "string",
"timezone": "string",
"startAt": "string",
"endAt": "string"
},
"status": "pending",
"source": "policy",
"policyId": "string",
"organization": {
"id": "string",
"name": "string"
},
"references": [
{
"type": "Lead",
"id": "string"
}
],
"chatSessionId": "string",
"type": "Event",
"config": {}
}
]
}
400
Bad Request
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Invalid request body or query parameters",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
409
Conflict
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "The resource could not be created because of a conflict.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/" \
-H "Content-Type: application/json" \
-d '{ "tasks": [ {} ]}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({ "tasks": [ {} ]})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/',
headers={
'Content-Type': 'application/json'
},
json={ "tasks": [ {} ]}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
Body
GET
/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/
Get an agentTask by ID
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| agentTaskId * | string | path | The agentTask ID. |
Responses
200
Successfully retrieved agentTask
id
string
The agent task ID.
name
string
The name of the agent task.
conversation
array(object)
The conversation history for this agent task.
description
string
The description of the agent task.
scheduledStart
string (date-time)
The start of the scheduled agent task
scheduledEnd
string (date-time)
The end of the scheduled agent task
recurring
object
status
string
The current status of the agent task.
source
string
Whether the agent task was created by a user or policy machinery.
policyId
string
Most-specific explicit policy row that spawned this task, when one exists.
organization
object
references
array(object)
The references that provide context to this agent task.
chatSessionId
string
The ID of the chat session that originated this agent task, if created from a chat session.
type
string
The agent task type
config
object
The agent task config
{
"id": "string",
"name": "string",
"conversation": [
{
"role": "user",
"message": "string",
"sentAt": "string"
}
],
"description": "string",
"scheduledStart": "string",
"scheduledEnd": "string",
"recurring": {
"cron": "string",
"timezone": "string",
"startAt": "string",
"endAt": "string"
},
"status": "pending",
"source": "policy",
"policyId": "string",
"organization": {
"id": "string",
"name": "string"
},
"references": [
{
"type": "Lead",
"id": "string"
}
],
"chatSessionId": "string",
"type": "Event",
"config": {}
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/')
data = response.json()
Test Request
Parameters
organizationId
path
*
agentTaskId
path
*
DELETE
/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/
Delete an agentTask
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| agentTaskId * | string | path | The agentTask ID. |
Responses
204
Successfully deleted agent task
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X DELETE "https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/', {
method: 'DELETE'
});
const data = await response.json();
import requests
response = requests.delete('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/')
data = response.json()
Test Request
Parameters
organizationId
path
*
agentTaskId
path
*
Runs
GET
/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/runs
Get a list of runs for an agent task
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageSize | number | query | The page size. |
| pageCursor | string | query | The page cursor. |
| status | array(string) | query | |
| openPullRequestOnly | boolean | query | If true, only returns runs that have an open pull request. |
| organizationId * | string | path | The organization Id. |
| agentTaskId * | string | path | Filter runs by agent task ID. |
Responses
200
A cursor-paginated list of runs.
data
array(object)
pageSize
number
The page size.
nextPageCursor
string
The next page cursor.
{
"data": [
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"status": "pending",
"type": "deployment",
"action": "connectionCreated",
"references": [
{
"type": "Lead",
"id": "string"
}
],
"workflowId": "string",
"timing": {
"startTime": "string",
"endTime": "string"
},
"input": {
"key": "value"
},
"data": null,
"inputRequests": [
{}
]
}
],
"pageSize": 0,
"nextPageCursor": "run_67a3c68e9137f944f073fef8"
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/runs?pageSize={pageSize}&pageCursor={pageCursor}&status={status}&openPullRequestOnly={openPullRequestOnly}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/runs?pageSize={pageSize}&pageCursor={pageCursor}&status={status}&openPullRequestOnly={openPullRequestOnly}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/agent-tasks/{agentTaskId}/runs',
params={
'pageSize': '{pageSize}',
'pageCursor': '{pageCursor}',
'status': '{status}',
'openPullRequestOnly': '{openPullRequestOnly}'
}
)
data = response.json()
Test Request
Parameters
pageSize
query
pageCursor
query
status
query
openPullRequestOnly
query
organizationId
path
*
agentTaskId
path
*
GET
/api/organizations/{organizationId}/apps/{appId}/runs/
Get runs for an app
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| pageNum | integer | query | The page number. |
| pageSize | integer | query | The page size. |
| type | string | query | The run type. |
| organizationId * | string | path | The organization Id. |
| appId * | string | path | The app Id or alternate Id. |
Responses
200
Run created successfully
total
number
The total number of records.
pageNum
number
The page number.
pageSize
number
The page size.
data
array(object)
{
"total": 0,
"pageNum": 0,
"pageSize": 0,
"data": [
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"status": "pending",
"type": "deployment",
"action": "connectionCreated",
"references": [
{
"type": "Lead",
"id": "string"
}
],
"workflowId": "string",
"timing": {
"startTime": "string",
"endTime": "string"
},
"input": {
"key": "value"
},
"data": null,
"inputRequests": [
{}
]
}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
404
Not Found
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Resource with id 'a1b2c3d4' not found or you do not have permission to access it.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X GET "https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/?pageNum={pageNum}&pageSize={pageSize}&type={type}"
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/?pageNum={pageNum}&pageSize={pageSize}&type={type}', {
method: 'GET'
});
const data = await response.json();
import requests
response = requests.get(
'https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/',
params={
'pageNum': '{pageNum}',
'pageSize': '{pageSize}',
'type': '{type}'
}
)
data = response.json()
Test Request
Parameters
pageNum
query
pageSize
query
type
query
organizationId
path
*
appId
path
*
POST
/api/organizations/{organizationId}/apps/{appId}/runs/
Create a run for an app
Parameters
| Name | Type | In | Description |
|---|---|---|---|
| organizationId * | string | path | The organization Id. |
| appId * | string | path | The app Id or alternate Id. |
Request Body application/json
{}
Responses
200
Run created successfully
id
string
The unique identifier for the run.
organization
object
status
string
type
string
action
string
references
array(object)
workflowId
string
The identifier of the workflow associated with the run.
timing
object
The timing information for the run execution.
input
object
The input data for the run.
data
oneOf
inputRequests
array(object)
Input requests issued during the run, including any responses.
{
"id": "string",
"organization": {
"id": "string",
"name": "string"
},
"status": "pending",
"type": "deployment",
"action": "connectionCreated",
"references": [
{
"type": "Lead",
"id": "string"
}
],
"workflowId": "string",
"timing": {
"startTime": "string",
"endTime": "string"
},
"input": {
"key": "value"
},
"data": null,
"inputRequests": [
{}
]
}
401
Unauthorized
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "Unable to validate JWT. Please make sure a valid JWT is sent as an Authorization header or access token cookie.",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
500
Internal Server Error
message
string
requestId
string
errorCode
string
errors
array(string)
{
"message": "An unknown error occurred",
"requestId": "a1b2c3d4",
"errorCode": "a1b2c3d4"
}
curl -X POST "https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/" \
-H "Content-Type: application/json" \
-d '{}'
const response = await fetch('https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/', {
method: 'POST',
headers: {
'Content-Type': 'application/json'
},
body: JSON.stringify({})
});
const data = await response.json();
import requests
response = requests.post(
'https://api.hyphen.ai/api/organizations/{organizationId}/apps/{appId}/runs/',
headers={
'Content-Type': 'application/json'
},
json={}
)
data = response.json()
Test Request
Parameters
organizationId
path
*
appId
path
*
Body
GET
/api/organizations/{organizationId}/apps/{appId}/runs/{runId}/
Get a run by Id for an app
Parameters
| Name | Type | In | Description |
[...]
